Page MenuHomePhabricator

dirstate-v2: Reuse existing nodes when appending to a data file
ClosedPublic

Authored by SimonSapin on Jul 15 2021, 11:28 AM.

Details

Summary

When writing a dirstate in v2 format by appending to an existing data file,
nodes that are still "unparsed" from the previous on-disk representation
have been unchanged and can therefore be reused.

This makes the new data point to previously-existing data for tree nodes.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

SimonSapin created this revision.Jul 15 2021, 11:28 AM
baymax updated this revision to Diff 29320.Jul 16 2021, 5:38 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

marmoute accepted this revision.Jul 16 2021, 6:11 AM
marmoute added a subscriber: marmoute.

neat

SimonSapin updated this revision to Diff 29335.Jul 16 2021, 8:37 AM
Alphare accepted this revision.Jul 16 2021, 8:53 AM
This revision is now accepted and ready to land.Jul 16 2021, 8:53 AM
baymax updated this revision to Diff 29352.Jul 16 2021, 5:45 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

baymax updated this revision to Diff 29611.Jul 20 2021, 3:41 PM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)